compute progname = 'boxbod.prg'
dis 'Subit limit hit using Start 1 values. Increased to 500'
nlpar(subit=500)
com numobs = 6
com numparams = 2
all numobs
open data boxbod.prn
data(for=prn,org=obs)

nonlin b1 b2
frml f y = b1*(1-exp(-b2*x))


dec rect b(numparams,4)
input(unit=input) b
1           100           2.1380940889E+02  1.2354515176E+01
1             0.75        5.4723748542E-01  1.0455993237E-01


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=f,notrace,cvcrit=1e-11,iter=500)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg

* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=f,notrace,cvcrit=1e-11,iter=500)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg







