compute progname = 'mgh10.prg'
display 'Bad results with Start 1 values. Works OK with'
display ' the start 2 values or starting from zero.'
com numobs = 16
com numparams = 3
all numobs
open data mgh10.prn
data(for=prn,org=obs)

nonlin b1 b2 b3
frml f y = b1 * exp(b2/(x+b3))

dec rect b(numparams,4)
input(unit=input) b
     2         0.02       5.6096364710E-03  1.5687892471E-04
400000      4000          6.1813463463E+03  2.3309021107E+01
 25000       250          3.4522363462E+02  7.8486103508E-01


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=500)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
source(noecho) output.prg


* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
source(noecho) output.prg





