***************************
dec vec diff(numparams)
do ii=1,numparams
 com diff(ii) = %beta(ii) - b(ii,3)
end do ii

dec vec diffqccf(numparams)
do ii=1,numparams
 com diffqccf(ii) = -1*log( abs(diff(ii))/abs(b(ii,3)) )/log(10)
end do ii


display
display 'Program =         ' progname
display 'Start value set = ' startval
display
dis @5 'Param Estimate' @30 'Target Value'  @65 'Diff' @78 'QC'
do ii=1,numparams
 dis  #####.############### %beta(ii)   @25 #####.############### b(ii,3) @50 #####.############### diff(ii) @75 ####.####### diffqccf(ii)
end do ii

dec vec diff(numparams)
do ii=1,numparams
 com diff(ii) = beta_std(ii,1) - b(ii,4)
end do i

dec vec diffqcse(numparams)
do ii=1,numparams
 com diffqcse(ii) = -1*log( abs(diff(ii))/abs(b(ii,4)) )/log(10)
end do ii

display
dis @5 'Std. Dev Estimate' @30 'Target Value'  @65 'Diff' @78 'QC'
do ii=1,numparams
 dis  #####.############### beta_std(ii,1)   @25 #####.############### b(ii,4) @50 #####.############### diff(ii) @75 ####.####### diffqcse(ii)
end do ii


open(append) copy report.out
display(unit=copy)
display(unit=copy) 'Program =         ' progname
display(unit=copy) 'Start value = ' @14 ## startval  @20 ###.#### %minvalue(diffqccf) @30 ###.#### %minvalue(diffqcse)
close copy
