compute progname = 'gauss.prg'
com numparams = 8 , numobs = 250
all numobs
open data gauss1.prn
data(for=prn,org=obs)
close data
nonlin b1 b2 b3 b4 b5 b6 b7 b8
frml f y = b1*exp( -b2*x ) + b3*exp( ( -((x-b4)**2.)) / (b5**2.) ) + b6*exp( (- ((x-b7)**2)) / (b8**2.) )

dec rect b(numparams,4)
input(unit=input) b
    97.0        94.0         9.8778210871E+01  5.7527312730E-01
     0.009       0.0105      1.0497276517E-02  1.1406289017E-04
   100.0        99.0         1.0048990633E+02  5.8831775752E-01
    65.0        63.0         6.7481111276E+01  1.0460593412E-01
    20.0        25.0         2.3129773360E+01  1.7439951146E-01
    70.0        71.0         7.1994503004E+01  6.2622793913E-01
   178.0       180.0         1.7899805021E+02  1.2436988217E-01
    16.5        20.0         1.8389389025E+01  2.0134312832E-01


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i)
dis b1 b2 b3 b4 b5 b6 b7 b8

nlls(frml=f,notrace,cvcrit=1e-11,iter=200) y
set yhatours = f(t)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg



* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i)
dis b1 b2 b3 b4 b5 b6 b7 b8

nlls(frml=f,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared
source(noecho) output.prg


* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i)
dis b1 b2 b3 b4 b5 b6 b7 b8

nlls(frml=f,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared
source(noecho) output.prg





