compute progname = 'gauss2.prg'
com numobs = 250
com numparams = 8
all numobs
open data gauss2.prn
data(for=prn,org=obs)
nonlin b1 b2 b3 b4 b5 b6 b7 b8

frml f y = b1*exp( -b2*x ) + b3*exp( (-((x-b4)**2)) / (b5**2) ) + $
          + b6*exp( (-((x-b7)**2)) / (b8**2) )

dec rect b(numparams,4)
input(unit=input) b
    96.0        98.0         9.9018328406E+01  5.3748766879E-01
     0.009       0.0105      1.0994945399E-02  1.3335306766E-04
   103.0       103.0         1.0188022528E+02  5.9217315772E-01
   106.0       105.0         1.0703095519E+02  1.5006798316E-01
    18.0        20.0         2.3578584029E+01  2.2695595067E-01
    72.0        73.0         7.2045589471E+01  6.1721965884E-01
   151.0       150.0         1.5327010194E+02  1.9466674341E-01
    18.0        20.0         1.9525972636E+01  2.6416549393E-01

display 'Start 1:'
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i)
set yhat = f(t)
dis b1 b2 b3 b4 b5 b6 b7 b8
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)


dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg


* Start 2:
display 'Start 2:'
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg


* Start 3:
display 'Start 3:'
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i),b8=b(8,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg





