compute progname = 'lanczos2.prg'
com numobs = 24
com numparams = 6
all numobs
open data lanczos2.prn
data(for=prn,org=obs)
nonlin b1 b2 b3 b4 b5 b6
frml f y = b1*exp(-b2*x) + b3*exp(-b4*x) + b5*exp(-b6*x)

dec rect b(numparams,4)
input(unit=input) b
1.2         0.5           9.6251029939E-02  6.6770575477E-04
0.3         0.7           1.0057332849E+00  3.3989646176E-03
5.6         3.6           8.6424689056E-01  1.7185846685E-03
5.5         4.2           3.0078283915E+00  4.1707005856E-03
6.5         4             1.5529016879E+00  2.3744381417E-03
7.6         6.3           5.0028798100E+00  1.3958787284E-03

* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i)

dis b1 b2 b3 b4 b5 b6
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg



* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg




