compute progname = 'mgh09.prg'
display 'subits set to 200'
nlpar(subit=200)
display
display 'Setting cvcrit to 1e-8 (start 2) improves match'
display
com numobs = 11
com numparams = 4
all numobs
open data mgh09.prn
data(for=prn,org=obs)

nonlin b1 b2 b3 b4
frml f y = b1*(x**2 + x*b2) / (x**2 + x*b3 + b4)


dec rect b(numparams,4)
input(unit=input) b
 25          0.25          1.9280693458E-01  1.1435312227E-02
 39          0.39          1.9128232873E-01  1.9633220911E-01
 41.5        0.415         1.2305650693E-01  8.0842031232E-02
 39          0.39          1.3606233068E-01  9.0025542308E-02


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i)
dis b1 b2 b3 b4
nlls(frml=f,notrace,cvcrit=1e-11,iter=500)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg



* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg

* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg




* Start 4:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i)
nlpar(sub=1000,cvcrit=1e-8)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

source(noecho) output.prg












