*** Increased ITERS limit on first estimation after 5.03 improvements
compute progname = 'misra1a.prg'
com numobs = 14
com numparams = 2
all numobs
open data misra1a.prn
data(for=prn,org=obs)

nonlin b1 b2
frml yfrml y = b1*(1 - exp(-b2*x))
dec rect b(numparams,4)
input(unit=input) b
 500         250           2.3894212918E+02  2.7070075241E+00
   0.0001      0.0005      5.5015643181E-04  7.2668688436E-06


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=yfrml,notrace,cvcrit=1e-11,iters=100) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

***************************
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

source(noecho) output.prg

* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

***************************
source(noecho) output.prg



* Start 4:
* tighter criteria:
nlpar(sub=1000,cvcrit=1e-11)
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

***************************
source(noecho) output.prg


* Start 5:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlpar(sub=1000,cvcrit=1e-10,delta=.001,alpha=.5)
nlls(frml=yfrml,notrace,cvcrit=1e-11) y

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i
com r2 = %rsquared

***************************
source(noecho) output.prg




