compute progname = 'misra1d.prg'
com numobs = 14
com numparams = 2
all numobs
open data misra1d.prn
data(for=prn,org=obs)

nonlin b1 b2

frml f y = b1*b2*x/(1.0+b2*x)


dec rect b(numparams,4)
input(unit=input) b
500         450           4.3736970754E+02  3.6489174345E+00
  0.0001      0.0003      3.0227324449E-04  2.9334354479E-06
tab
* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
*nonlin(drop) b1
* nlpar(cvcrit=1e-5)
* nlpar(subiter=5000)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)
dis b1 b2
print
dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg


* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i)
dis b1 b2
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)
dis b1 b2
print
dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg




