compute progname = 'nelson.prg'
* Raising subit limit to 500:
nlpar(subit=500)
com numobs = 128
com numparams = 3
all numobs
open data nelson.prn
data(for=prn,org=obs)

nonlin b1 b2 b3
log y
frml f y = b1 - b2*x1*exp(-b3*x2)

dec rect b(numparams,4)
input(unit=input) b
    2           2.5          2.5906836021E+00  1.9149996413E-02
    0.0001      0.000000005  5.6177717026E-09  6.1124096540E-09
   -0.01       -0.05        -5.7701013174E-02  3.9572366543E-03


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg


* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i),b4=b(4,i),b5=b(5,i),b6=b(6,i),b7=b(7,i)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg




