compute progname = 'rat402.prg'
com numobs = 9
com numparams = 3
all numobs
open data rat402.prn
data(for=prn,org=obs)

nonlin b1 b2 b3
frml f y = b1 / (1+exp(b2-b3*x))

dec rect b(numparams,4)
input(unit=input) b
100         75            7.2462237576E+01  1.7340283401E+00
  1          2.5          2.6180768402E+00  8.8295217536E-02
  0.1        0.07         6.7359200066E-02  3.4465663377E-03


* Start 1:
com i=1,startval=1
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlpar(subiter=200)
nlls(frml=f,notrace,cvcrit=1e-11,iter=500)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg


* Start 2:
com i=2,startval=2
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlpar(sub=1000)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg


* Start 3:
com i=3,startval=3
compute b1=b(1,i),b2=b(2,i),b3=b(3,i)
dis b1 b2 b3
nlpar(sub=1000)
nlls(frml=f,notrace,cvcrit=1e-11,iter=200)

dec rec[real] beta_std(numparams,1)
do i=1,numparams
 com beta_std(i,1) = sqrt(%seesq*%xx(i,i))
end do i

***************************
source(noecho) output.prg


